# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82.0"
name = "gilt-derive"
version = "2.3.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Derive macros for the gilt terminal formatting library"
homepage = "https://github.com/khalidelborai/gilt"
documentation = "https://docs.rs/gilt-derive"
readme = "README.md"
keywords = [
    "terminal",
    "rich",
    "derive",
    "macro",
]
categories = ["command-line-interface"]
license = "MIT"
repository = "https://github.com/khalidelborai/gilt"

[lib]
name = "gilt_derive"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "trybuild"
path = "tests/trybuild.rs"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = ["full"]

[dev-dependencies.insta]
version = "1"
features = ["yaml"]

[dev-dependencies.trybuild]
version = "1"
